#подключаем необходимые библиотеки
import pygame.mixer
from pygame.mixer import Sound
from gpiozero import Button
from signal import pause

#создаем объект для модуля mixer, который загружает и воспроизводит звуки
pygame.mixer.init()

#назначаем каждой кнопке определенный звук
button_sounds = {
    Button(2): Sound("samples/drum_cymbal_open.wav"),
    Button(3): Sound("samples/drum_heavy_kick.wav"),
    Button(14): Sound("samples/drum_snare_hard.wav"),
    Button(15): Sound("samples/drum_cymbal_closed.wav"),
    Button(17): Sound("samples/drum_roll.wav"),
    Button(18): Sound("samples/perc_snap.wav"),
    Button(22): Sound("samples/loop_amen_full.wav"),
    Button(27): Sound("samples/loop_mika.wav"),
}

#воспроизводим звук, когда нажата кнопка
for button, sound in button_sounds.items():
    button.when_pressed = sound.play

#продолжаем выполнение программы для отслеживания событий — нажатия кнопок
pause()
