#подключаем необходимые библиотеки
from gpiozero import Button, MotionSensor
from picamera import PiCamera
from time import sleep
from signal import pause

#создаем объекты для кнопки, датчика движения и камеры
button = Button(2)
pir = MotionSensor(4)
camera = PiCamera()

#запускаем камеру
camera.rotation = 180
camera.start_preview()

#создаем имена изображений
i = 0

#останавливаем работу камеры, когда нажата кнопка
def stop_camera():
    camera.stop_preview()
    #выходим из программы
    exit()

#делаем снимок, когда зафиксировано движение
def take_photo():
    global i
    i = i + 1
    camera.capture('/home/pi/Desktop/image_%s.jpg' % i)
    print('Снимок сделан')
    sleep(10)

#определяем функцию, которая запускается при нажатии кнопки
button.when_pressed = stop_camera
#определяем функцию, которая запускается при обнаружении движения
pir.when_motion = take_photo

pause()
