#подключаем необходимые библиотеки
from gpiozero import PWMLED
from tkinter import *

#изменяем цвет RGB-светодиода
def change_color(self):
    red.value = red_slider.get()
    green.value = green_slider.get()
    blue.value = blue_slider.get()
    print(self)

#закрываем окно
def close_window():
    window.destroy()
    
#создаем объект PWMLED для каждого цвета
red = PWMLED(23)
green = PWMLED(24)
blue = PWMLED(25)

#создаем окно
window = Tk()
window.title("Управление RGB-светодиодом")
window.geometry("300x200")

#создаем три слайдера для управления светодиодами
red_slider = Scale(window, from_=0, to=1, resolution = 0.01, orient=HORIZONTAL,
        label="Красный", troughcolor="red", length=200, command=change_color)
red_slider.pack()

green_slider = Scale(window, from_=0, to=1, resolution = 0.01, orient=HORIZONTAL,
        label="Зелёный", troughcolor="green", length=200, command=change_color)
green_slider.pack()

blue_slider = Scale(window, from_=0, to=1, resolution = 0.01, orient=HORIZONTAL,
        label="Голубой", troughcolor="blue", length=200, command=change_color)
blue_slider.pack()

#создаем кнопку закрытия окна
close_button = Button(window, text="Закрыть", command=close_window)
close_button.pack()

mainloop()
